HomeGuidesAPI ReferenceChangelog
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

Post IP SLA rule.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Body Params

JSON object containing IP SLA manager Rule.

string

Description about the rule

downAction
object
required

Specify action rules to be executed when monitor is down .

Down Action object naming convention: The name of the down action object should be like '(DNACTION)(down action type)_(max number)'.For example a down action for disabling tunnel should look like 'DN_ACTION_tun-dn_11'. Here tun-dn is the action type and the last number should be the unique and generally it should be the increment of the max number used across all the existing Manager, Operation and Action objects.

The following are the supported up action types and it's attributes.
Enable Tunnel
type :tun-up,
Attributes
tun-alias: Alias of the tunnel

Disable Tunnel
type :tun-dn,
Attributes
tun-alias: Alias of the tunnel

VRRP Priority
type :vrrp-prio,
Attributes
inc: Increment VRRP priority by X number or dec: Decrease VRRP priority
port-name: Name of the interface or port-label: Label of the interface

Advertise subnets to Silver Peak peers
type :subnet-adv,
Attributes
port-name: Name of the interface or port-label: Label of the interface

Disable Subnet Sharing
type :subnet-shar,
Attributes
No attributes for this action

Modify Subnet Metric
type :subnet-metric,
Attributes
delta: Add a metric delta to the metric of all subnets shared with Silver Peak peers

Remove Auto Subnet - Remove from the subnet table an auto subnet for a port (including all VLAN & subinterface subnets).
type :subnet-rmv,
Attributes
port-name: Name of the interface or port-label: Label of the interface

Raise Alarm only. It doesn't contains any type or attributes. Ex: downAction: "alarm"

boolean
required

Flag to enable and disable manger rule

integer
operation
object
required

Specifies the operations or monitor rules to be performed.

Operation object naming convention: The name of the operation/monitor object should be like '(OPR)(operation type)(max number)'. For example an operation for monitoring interface should be like 'OPR_ip-monitor_11'. Here ip-monitor is the operation type and the last number should be the unique and generally it should be the increment of the max number used across all the existing Manager, Operation and Action objects.

The following are the supported monitor types and it's attributes.
Interface Monitor
type :port-monitor,
Attributes
port-name: Name of the interface to be monitored ex:lan0 or port-label: Name of the interface label to be monitored ex:MPLS

Ping Monitor
type: ip-monitor,
Attributes
ip-monitor-ip: IP address to be monitored
ka: Keep alive time in seconds
up-thresh: Mark up after X number of pings
dn-thresh: Mark down after X number of failed pings
port-name: Name of the interface to be monitored ex:lan0 or port-label: Name of the interface label to be monitored ex:MPLS

HTTP/HTTPS Monitor
type: http-monitor,
Attributes
http-monitor-url: Single/List of URLs(separated by comma) to be monitored.
proxyAddress: Proxy address
proxyPort: Proxy port
user-agent:User agent to be added to the request header
http-timeout: Request time out in seconds (default is 0)
ka: Keep alive time in seconds
up-thresh: Mark up after X number of pings
dn-thresh: Mark down after X number of failed pings
port-name: Name of the interface to be monitored ex:lan0 or port-label: Name of the interface label to be monitored ex:MPLS

VRRP Monitor
type :vrrp-monitor,
Attributes
port-name: Name of the interface to be monitored ex:lan0 or port-label: Name of the interface label to be monitored ex:MPLS

upAction
object
required

Specify action rules to be executed when monitor is up .

Up Action object naming convention: The name of the up action object should be like '(UPACTION)(up action type)_(max number)'. For example an up action for enabling tunnel should look like 'UP_ACTION_tun-up_11'. Here tun-up is the action type and the last number should be the unique and generally it should be the increment of the max number used across all the existing Manager, Operation and Action objects.

The following are the supported up action types and it's attributes.
Enable Tunnel
type :tun-up,
Attributes
tun-alias: Alias of the tunnel

Disable Tunnel
type :tun-dn,
Attributes
tun-alias: Alias of the tunnel

VRRP Priority
type :vrrp-prio,
Attributes
inc: Increment VRRP priority by X number or dec: Decrease VRRP priority
port-name: Name of the interface or port-label: Label of the interface

Default Actions: These are special actions which doesn't have any attributes or type. These should be specified as direct string literal instead an object. Ex "upAction": "def-subnet".The following are the available default actions.
def-subnet - This reverts whatever was the Down Action back to the normal state.
For example:
If Down Action is Disable Subnet Sharing, the Up Action is re-enable Subnet Sharing.
If Down Action is Remove Auto Subnets, the Up Action re-adds the auto subnet.
If Down Action is Modify Subnet Metric, the Up Action restores subnet metrics to their original value.
def-vrrpt - Reverts the VRRP priority back to the configured value.
def-alarm - Clears the alarm once the monitor is up.

Response
200

No response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!